emsa2.h File Reference

This file contains various padding schemes for public key algorithms. More...

`#include "cryptlib.h"`
`#include "pubkey.h"`

Go to the source code of this file.

## Classes

class | EMSA2HashId< H >
class | EMSA2HashIdLookup< BASE >
struct | EMSA2HashIdLookup< BASE >::HashIdentifierLookup
struct | EMSA2HashIdLookup< BASE >::HashIdentifierLookup::HashIdentifierLookup2< H >
class | EMSA2Pad
| _ More...
struct | P1363_EMSA2
| EMSA2, for use with RWSS and RSA_ISO. More...

## Detailed Description

This file contains various padding schemes for public key algorithms.

Definition in file emsa2.h.